Summary: Initial CERN system configuration 'hack'
Name: lcm-firstboot
Version: 2
Release: 0.el7.cern
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN
License: GPL
BuildArch: noarch
ExclusiveOS: Linux
Requires: yum-autoupdate, yum >= 2.4.1 , centos-release
Requires: lcm
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Source0: %{name}-%{version}.tgz
Requires: systemd
Obsoletes: cern-preconfig
BuildRequires: python

%description
The lcm-firstboot utility runs after firstboot 
(when the machine is booted for the first time)

It presets system to site configuration 
setup accordingly with what user have choosen
during firstboot execution.

%prep
%setup -q

%build

python -m compileall .

%install

#mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules

cp lcm-firstboot $RPM_BUILD_ROOT/usr/sbin/
cp lcm_timeout $RPM_BUILD_ROOT/usr/sbin/
cp lcm-firstboot.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/lcm-firstboot
#cp lcm-firstboot.init.d $RPM_BUILD_ROOT/etc/init.d/lcm-firstboot
cp lcm-firstboot-graphical.service $RPM_BUILD_ROOT/usr/lib/systemd/system/
cp lcm-firstboot-cern_customize.py $RPM_BUILD_ROOT/usr/share/firstboot/modules/cern_customize.py
cp lcm-firstboot-cern_customize.pyc $RPM_BUILD_ROOT/usr/share/firstboot/modules/cern_customize.pyc
cd $RPM_BUILD_ROOT/usr/share/firstboot/modules/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ] ; then 
        # Initial installation 
        /usr/bin/systemctl preset lcm-firstboot-graphical.service >/dev/null 2>&1 || : 
fi 

/bin/rm -f /usr/share/firstboot/modules/rhsm_login.py* || :


%preun
if [ $1 = 0 ]; then
  rm -rf /usr/share/firstboot/cern_customize.pyc
  rm -rf /usr/share/firstboot/modules/cern_customize.pyc
fi

if [ $1 -eq 0 ] ; then 
        # Package removal, not upgrade 
        /usr/bin/systemctl --no-reload disable lcm-firstboot-graphical.service > /dev/null 2>&1 || : 
        /usr/bin/systemctl stop lcm-firstboot-graphical.service > /dev/null 2>&1 || : 
fi

%postun
/usr/bin/systemctl daemon-reload >/dev/null 2>&1 || : 
if [ $1 -ge 1 ] ; then 
        # Package upgrade, not uninstall 
        /usr/bin/systemctl try-restart lcm-firstboot-graphical.service >/dev/null 2>&1 || : 
fi


%files 
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/lcm-firstboot
/usr/sbin/lcm-firstboot
/usr/sbin/lcm_timeout
/usr/lib/systemd/system/lcm-firstboot-graphical.service
/usr/share/firstboot/modules/cern_customize.p*
%doc README example.sysconfig

%changelog
* Wed Jul 16 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- checkbox for disabling initial gnome user creation
- changed SysV init to Systemd

* Fri Jul 11 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- el7 rebuild

* Tue May  8 2012 Matthias Schroder <Matthias.Schroder@cern.ch> 1-7.slc6
- add ocsagent to predefcomps of lcm-firstboot
 
* Thu Nov 25 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- and first SLC6 try ...

* Fri Sep 05 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- first SLC5 try ..

* Wed Oct 25 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fix for AFS client not starting when required to...

* Thu Mar  2 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- Use yum everywhere on slc4

* Thu Feb 17 2005 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- use yum on 64bit archs
* Fri Oct 15 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- updated for additional components
* Wed Jun 30 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added firstboot module
* Tue Jun 29 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fixed to use apt-autoupdate not apt-cern 
* Thu Mar 11 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- relocated to /usr/sbin , adapted for ncm-ncd-1.1
* Sun Mar 7 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial build
